<template>
  <div>
    <!-- <div v-html="content" /> -->
    <div class="title-form">
    <input class="input-title" v-model="form.title" type="text" placeholder="Place catchy title" />
    <div class="vue-editor">
      <vue-editor v-model="content"></vue-editor>
    </div>
    <button @click="createPost" class="save-btn" :disabled="disable">{{getLabel}}</button>
    </div>
  </div>
</template>

<script>
import { VueEditor } from "vue2-editor";
import { CREATE_POST_MUTATION } from '@/graphql/queries/userQueries'
export default {
  components: {
    VueEditor
  },

  data() {
    return {
      title: "Compose",
      disable: false,
      content: "<h1>Some initial content</h1>",
      form: {
        title: null,
      }
    };
  },
  metaInfo () {
    return {
      title: this.title
    }
  },
  computed: {
    getLabel() {
      return this.disable ? 'Saving...' : 'Save'
    }
  },
  methods: {
    async createPost() {
      this.disable = true
      const postCreated = await this.$apollo.mutate({
        mutation: CREATE_POST_MUTATION,
        variables: {title: this.form.title, content: JSON.stringify(this.content)}
      })
      console.log(postCreated);
      this.$router.push('/')
    }
  }
};
</script>

<style scoped>
  .save-btn:disabled {
    background-color: #7fafee;
  }
  .save-btn:disabled:hover {
    cursor: not-allowed;
  }
  .save-btn {
    font-size: 1rem;
    padding: 1rem;
    border-radius: 10%;
    border-width: 1px;
    background-color: #3f86e5;
    color: white;
    font-weight: 800;
    float: right;
    margin: 20px 0;
  }
  .save-btn:hover {
    cursor: pointer;
  }
  .title-form {
    margin: auto;
    max-width: 900px
    /* text-align: center; */
  }
  .vue-editor {
    max-width: 900px;
    margin: auto;
  }
  .input-title {
    font-size: 2em;
    width: 830px;
    border: 0;
    padding-bottom: 12px;
  }
  .input-title:focus {
    border: 0;
    outline-width: 0px;
  }
</style>